Bug 858277 - Installer (tomcat6) fails due to bad dependency
Installer (tomcat6) fails due to bad dependency
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Lukas Zapletal
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-18 10:27 EDT by Lukas Zapletal
Modified: 2013-03-27 16:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A missing candlepin upstream certificate file caused tomcat6 to fail after starting. This includes the certificate as a dependency so the services start in the correct order.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:55:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Zapletal 2012-09-18 10:27:06 EDT
Description of problem:

120918-09:28:21 err: /Stage[main]/Candlepin::Service/Exec[cpinit]/returns: change from notrun to 0 failed: /usr/bin/wget --timeout=30 --tries=5 --retry-connrefused -qO- http://localhost:8080/candlepin/admin/init >/var/log/katello/katello-configure/cpinit.log 2>&1 && touch /var/lib/katello/cpinit_done returned 8 instead of one of [0] at /usr/share/katello/install/puppet/modules/candlepin/manifests/service.pp:25

Caused by: java.lang.RuntimeException: java.io.FileNotFoundException: /etc/candlepin/certs/candlepin-upstream-ca.crt (No such file or directory)

Because it is created AFTER tomcat6 is started:

120918-09:28:21 debug: /File[/etc/candlepin/certs/candlepin-upstream-ca.crt]/mode: Not managing symlink mode
120918-09:28:21 notice: /File[/etc/candlepin/certs/candlepin-upstream-ca.crt]/ensure: created
Comment 2 Lukas Zapletal 2012-09-18 11:10:36 EDT
https://github.com/Katello/katello/pull/696

Pushing upstream only until this gets acked.
Comment 3 Lukas Zapletal 2012-09-18 11:14:55 EDT
QA: How to verify. Difficult, the only thing we can check is that this message:

120918-09:28:21 notice: /File[/etc/candlepin/certs/candlepin-upstream-ca.crt]/ensure: created

goes BEFORE this one:

120918-09:28:21 debug: Executing '/usr/bin/wget --timeout=30 --tries=5 --retry-connrefused -qO- http://localhost:8080/candlepin/admin/init >/var/log/katello/katello-configure/cpinit.log 2>&1 && touch /var/lib/katello/cpinit_done'

When katello-configured is executed with -b -d options.
Comment 6 Og Maciel 2012-09-25 17:35:08 EDT
  # grep "candlepin-upstream-ca.crt]/ensure: created"  -n /var/log/katello/katello-configure/main.log 
  872:120925-16:51:12 notice: /File[/etc/candlepin/certs/candlepin-upstream-ca.crt]/ensure: created
  # grep "usr/bin/wget --timeout=30 --tries=5 --retry-connrefused -qO-" -n /var/log/katello/katello-configure/main.log 
  903:120925-16:51:47 debug: Exec[cpinit](provider=posix): Executing '/usr/bin/wget --timeout=30 --tries=5 --retry-connrefused -qO- http://localhost:8080/candlepin/admin/init >/var/log/katello/katello-configure/cpinit.log 2>&1 && touch /var/lib/katello/cpinit_done'
  904:120925-16:51:47 debug: Executing '/usr/bin/wget --timeout=30 --tries=5 --retry-connrefused -qO- http://localhost:8080/candlepin/admin/init >/var/log/katello/katello-configure/cpinit.log 2>&1 && touch /var/lib/katello/cpinit_done'
Comment 7 Og Maciel 2012-09-25 17:35:39 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-9.el6cf.noarch
* katello-all-1.1.12-9.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-5.el6cf.noarch
* katello-cli-common-1.1.8-5.el6cf.noarch
* katello-common-1.1.12-9.el6cf.noarch
* katello-configure-1.1.9-4.el6cf.noarch
* katello-glue-candlepin-1.1.12-9.el6cf.noarch
* katello-glue-pulp-1.1.12-9.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 9 errata-xmlrpc 2012-12-04 14:55:30 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.